bump versions of gradle and a bunch of libraries
authorDamyan Ivanov <dam+mobileledger@ktnx.net>
Wed, 18 Dec 2019 21:47:04 +0000 (23:47 +0200)
committerDamyan Ivanov <dam+mobileledger@ktnx.net>
Wed, 18 Dec 2019 21:47:04 +0000 (23:47 +0200)
app/build.gradle
build.gradle

index 2fe1c44..119bf6f 100644 (file)
@@ -48,19 +48,19 @@ android {
 }
 
 dependencies {
-    def nav_version = '2.1.0-alpha06'
+    def nav_version = '2.2.0-rc04'
     implementation fileTree(include: ['*.jar'], dir: 'libs')
-    implementation 'androidx.appcompat:appcompat:1.1.0-rc01'
+    implementation 'androidx.appcompat:appcompat:1.1.0'
     implementation 'androidx.legacy:legacy-support-v4:1.0.0'
-    implementation 'com.google.android.material:material:1.1.0-alpha08'
+    implementation 'com.google.android.material:material:1.2.0-alpha02'
     implementation 'androidx.constraintlayout:constraintlayout:1.1.3'
-    implementation 'androidx.lifecycle:lifecycle-extensions:2.2.0-alpha02'
-    implementation 'androidx.recyclerview:recyclerview:1.1.0-beta01'
+    implementation 'androidx.lifecycle:lifecycle-extensions:2.2.0-rc03'
+    implementation 'androidx.recyclerview:recyclerview:1.1.0'
     testImplementation 'junit:junit:4.12'
-    androidTestImplementation 'androidx.test:runner:1.3.0-alpha01'
-    androidTestImplementation 'androidx.test.espresso:espresso-core:3.3.0-alpha01'
+    androidTestImplementation 'androidx.test:runner:1.3.0-alpha03'
+    androidTestImplementation 'androidx.test.espresso:espresso-core:3.3.0-alpha03'
     implementation 'org.jetbrains:annotations:15.0'
-    implementation 'com.fasterxml.jackson.module:jackson-modules-java8:2.9.8'
+    implementation 'com.fasterxml.jackson.module:jackson-modules-java8:2.10.1'
     implementation "androidx.navigation:navigation-fragment:$nav_version"
     implementation "androidx.navigation:navigation-ui:$nav_version"
 }
index dd7ace5..e3b999b 100644 (file)
@@ -24,7 +24,7 @@ buildscript {
         jcenter()
     }
     dependencies {
-        classpath 'com.android.tools.build:gradle:3.5.2'
+        classpath 'com.android.tools.build:gradle:3.5.3'
         
 
         // NOTE: Do not place your application dependencies here; they belong